#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x06830b9a, "");
SYMBOL_CRC(ib_unpack, 0xf96fc9de, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x02776c5f, "");
SYMBOL_CRC(__ib_alloc_pd, 0xe0859c52, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0xa307077f, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x970ebce5, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x74267d65, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xace057d3, "");
SYMBOL_CRC(rdma_create_ah, 0xab77871c, "");
SYMBOL_CRC(rdma_create_user_ah, 0x0e83d662, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0xd5f80f72, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0xc4dba8ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x47399492, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0xb3d26e69, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0xbf939222, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0xdfd0168c, "");
SYMBOL_CRC(rdma_modify_ah, 0x7585938d, "");
SYMBOL_CRC(rdma_query_ah, 0x94bd286e, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0xcc943aee, "");
SYMBOL_CRC(ib_create_srq_user, 0xd76382d4, "");
SYMBOL_CRC(ib_modify_srq, 0x5e54724d, "");
SYMBOL_CRC(ib_query_srq, 0x12026aa4, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xb8ae0194, "");
SYMBOL_CRC(ib_open_qp, 0x23f32dc7, "");
SYMBOL_CRC(ib_create_qp_user, 0x81b1aea2, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0xc7c2e236, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0xf9ef8610, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x4a7e2c0c, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0xf51c3c06, "");
SYMBOL_CRC(ib_get_eth_speed, 0x80fb05fa, "");
SYMBOL_CRC(ib_modify_qp, 0x2a80146d, "");
SYMBOL_CRC(ib_query_qp, 0xebf4681a, "");
SYMBOL_CRC(ib_close_qp, 0x84f2591f, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x0d4033a8, "");
SYMBOL_CRC(__ib_create_cq, 0x1cea54e1, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x34a362b3, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x3d8cc910, "");
SYMBOL_CRC(ib_resize_cq, 0xbf3f6e27, "");
SYMBOL_CRC(ib_reg_user_mr, 0x22bc4753, "");
SYMBOL_CRC(ib_advise_mr, 0x297098b7, "");
SYMBOL_CRC(ib_dereg_mr_user, 0xa5ada75b, "");
SYMBOL_CRC(ib_alloc_mr, 0xc23e0495, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x29c93017, "");
SYMBOL_CRC(ib_attach_mcast, 0x314bb761, "");
SYMBOL_CRC(ib_detach_mcast, 0xbbdb5154, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x77f164a8, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0xa055021d, "");
SYMBOL_CRC(ib_create_wq, 0x5175fd7c, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x07ac4d6d, "");
SYMBOL_CRC(ib_check_mr_status, 0x9e49df7c, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x11411e88, "");
SYMBOL_CRC(ib_get_vf_config, 0x8fc5c716, "");
SYMBOL_CRC(ib_get_vf_stats, 0x347a549d, "");
SYMBOL_CRC(ib_set_vf_guid, 0x2002570d, "");
SYMBOL_CRC(ib_get_vf_guid, 0x8943632d, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0x62766f7e, "");
SYMBOL_CRC(ib_map_mr_sg, 0x3f16476c, "");
SYMBOL_CRC(ib_sg_to_pages, 0xcbdafa71, "");
SYMBOL_CRC(ib_drain_sq, 0xd9ccc40d, "");
SYMBOL_CRC(ib_drain_rq, 0xda2045c7, "");
SYMBOL_CRC(ib_drain_qp, 0x8476011b, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x08dc84f2, "");
SYMBOL_CRC(rdma_init_netdev, 0x18ee069e, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x4e52439b, "");
SYMBOL_CRC(__rdma_block_iter_next, 0xa06a13bd, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x79787750, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xfbc3a9a8, "");
SYMBOL_CRC(ib_process_cq_direct, 0xc8962a83, "");
SYMBOL_CRC(__ib_alloc_cq, 0xa207dae4, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0xdac45e31, "");
SYMBOL_CRC(ib_free_cq, 0x4da36b3b, "");
SYMBOL_CRC(ib_cq_pool_get, 0xef9341e2, "");
SYMBOL_CRC(ib_cq_pool_put, 0x9d787088, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0xebf86fd1, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x356d0199, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x8ef8ba21, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x80fe9f35, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0x0f223112, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0xac7473da, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x9f112794, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x2a03e0e8, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x1b9af9d0, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0x6d3cd69f, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x3bd7d97c, "");
SYMBOL_CRC(ibdev_printk, 0x1bff0f8f, "");
SYMBOL_CRC(ibdev_emerg, 0x842a00fc, "");
SYMBOL_CRC(ibdev_alert, 0xc3a354e1, "");
SYMBOL_CRC(ibdev_crit, 0xcba7abc3, "");
SYMBOL_CRC(ibdev_err, 0x2dc4c70d, "");
SYMBOL_CRC(ibdev_warn, 0x311b7fac, "");
SYMBOL_CRC(ibdev_notice, 0x91fe12c1, "");
SYMBOL_CRC(ibdev_info, 0x2ba5d03f, "");
SYMBOL_CRC(ib_device_put, 0x38fd9c4a, "");
SYMBOL_CRC(ib_device_get_by_name, 0x788a6a7f, "");
SYMBOL_CRC(_ib_alloc_device, 0x7e395af9, "");
SYMBOL_CRC(ib_dealloc_device, 0x31b0705a, "");
SYMBOL_CRC(ib_port_immutable_read, 0x78faad44, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xf0cd0c53, "");
SYMBOL_CRC(ib_register_device, 0x90bfb2fc, "");
SYMBOL_CRC(ib_unregister_device, 0x79ee99a1, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0xa43fe570, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0xcb977066, "");
SYMBOL_CRC(ib_register_client, 0x9ccea8ed, "");
SYMBOL_CRC(ib_unregister_client, 0x29bf8ad3, "");
SYMBOL_CRC(ib_set_client_data, 0x7fd17c69, "");
SYMBOL_CRC(ib_register_event_handler, 0xaca78a6b, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x0dc04f02, "");
SYMBOL_CRC(ib_query_port, 0x6893a650, "");
SYMBOL_CRC(ib_device_set_netdev, 0x3c5411cb, "");
SYMBOL_CRC(ib_device_get_netdev, 0xf7baedaa, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x1d68fd69, "");
SYMBOL_CRC(ib_query_pkey, 0x7958de66, "");
SYMBOL_CRC(ib_modify_device, 0x6f85b43b, "");
SYMBOL_CRC(ib_modify_port, 0xc08e0812, "");
SYMBOL_CRC(ib_find_gid, 0x64d5d4f0, "");
SYMBOL_CRC(ib_find_pkey, 0xccf1867f, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xc4b2bfa6, "");
SYMBOL_CRC(ib_set_device_ops, 0x31ff4bf0, "");
SYMBOL_CRC(ib_add_sub_device, 0x8c22c2f5, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0x149d1c69, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xd1cb796d, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0xa6431f35, "");
SYMBOL_CRC(rdma_query_gid, 0x24b0a6b4, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x128222d1, "");
SYMBOL_CRC(rdma_find_gid, 0x7260499d, "");
SYMBOL_CRC(ib_get_cached_pkey, 0xb525418c, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0xa6107295, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x7baf8bcf, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0x05f5cc14, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x307b8d65, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x2176695b, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x5d20981b, "");
SYMBOL_CRC(rdma_query_gid_table, 0xb1637316, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xb0cde829, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0xba7675ca, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x12a93eeb, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0xf3e5181e, "");
SYMBOL_CRC(ib_dispatch_event, 0x15672bdd, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0xf13c90dd, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x95ecd50e, "");
SYMBOL_CRC(ibnl_put_attr, 0xa98926ef, "");
SYMBOL_CRC(rdma_nl_unicast, 0xd5a071bb, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0xecdb3df7, "");
SYMBOL_CRC(rdma_nl_multicast, 0xaa8dee31, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0xc2257ccd, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x69e32d9d, "");
SYMBOL_CRC(ib_mr_pool_get, 0x918f853d, "");
SYMBOL_CRC(ib_mr_pool_put, 0x79920560, "");
SYMBOL_CRC(ib_mr_pool_init, 0x1ab79451, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0xd9d18d39, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x21624d28, "");
SYMBOL_CRC(rdma_translate_ip, 0xecd8d48f, "");
SYMBOL_CRC(rdma_resolve_ip, 0x8926c93f, "");
SYMBOL_CRC(rdma_addr_cancel, 0xf6b42c02, "");
SYMBOL_CRC(ib_sa_register_client, 0x9573ffe4, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x42212bdb, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0xc9a4437c, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x16e03209, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x33611021, "");
SYMBOL_CRC(ib_sa_join_multicast, 0xde3150ee, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0xc9baa03e, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xc707a82a, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0xd61a0d64, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0x54c67b0b, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x27f23d4a, "");
SYMBOL_CRC(ib_create_send_mad, 0x21bed6c4, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0xf614847b, "");
SYMBOL_CRC(ib_free_send_mad, 0x0d1a2dff, "");
SYMBOL_CRC(ib_post_send_mad, 0xf3cf2333, "");
SYMBOL_CRC(ib_free_recv_mad, 0x1677ce8b, "");
SYMBOL_CRC(ib_modify_mad, 0xee58a32d, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x4385be97, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0xe7da2833, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x088ea49b, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0xb70d73c0, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x38d542cb, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0x0318d005, "");
SYMBOL_CRC(rdma_link_register, 0x6206b58a, "");
SYMBOL_CRC(rdma_link_unregister, 0xafa6376f, "");
SYMBOL_CRC(rdma_restrack_count, 0xcfde40c7, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x46f511d3, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xb9b8fa15, "");
SYMBOL_CRC(rdma_restrack_new, 0x486c9893, "");
SYMBOL_CRC(rdma_restrack_add, 0x834812c0, "");
SYMBOL_CRC(rdma_restrack_get, 0x56691871, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x86e9de08, "");
SYMBOL_CRC(rdma_restrack_put, 0x5e9fd4e6, "");
SYMBOL_CRC(rdma_restrack_del, 0xbb5a0b64, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x1be2f2ba, "");
SYMBOL_CRC(rdma_user_mmap_io, 0xf142019b, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x35ec5688, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x46b40820, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xe41a60c3, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x13fe5da3, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x72832e56, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0xfa080a1f, "");
SYMBOL_CRC(ib_create_qp_security, 0x21267381, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0xdbb594ef, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x33a684e0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf6c3a2df, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe5c4b565, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xa21a6efd, "rdmacg_try_charge" },
	{ 0x177f4c6f, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb9142cec, "bpf_trace_run4" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x9c764af6, "__nlmsg_put" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xba138cc7, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xaf4f5344, "dev_set_name" },
	{ 0xffe0463c, "ip6_dst_hoplimit" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x790ba525, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xac9f61e, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x876714ed, "__trace_trigger_soft_disabled" },
	{ 0x588a8b1, "__kmalloc_node_noprof" },
	{ 0x28f158f3, "dma_unmap_page_attrs" },
	{ 0xeef757c3, "trace_event_printf" },
	{ 0xfcc1bd94, "__ip_dev_find" },
	{ 0x2c6211f8, "sysfs_remove_groups" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x6f183ef4, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x519d9222, "xas_find" },
	{ 0x74ecd29e, "kobject_init" },
	{ 0xa81f6ec6, "device_initialize" },
	{ 0x79f4351, "__dynamic_ibdev_dbg" },
	{ 0x310933cd, "sysfs_create_groups" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xfb5f783, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0xb239b1b5, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x8450be90, "in6_dev_finish_destroy" },
	{ 0x32f1b74, "__netlink_kernel_create" },
	{ 0x5563e476, "bpf_trace_run2" },
	{ 0x6a8aa010, "ip_route_output_flow" },
	{ 0xe97e5b20, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb2eaf0b7, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xdf730d02, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0x602578a2, "netlink_broadcast_filtered" },
	{ 0x47a08734, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x925aad07, "dev_driver_string" },
	{ 0x79388ce0, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xbff0e7c0, "dma_map_page_attrs" },
	{ 0x64488e7, "alloc_netdev_mqs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1811da34, "put_device" },
	{ 0xe58a2979, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xf222e646, "__alloc_skb" },
	{ 0xc2f46552, "netlink_capable" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb85812c8, "__task_pid_nr_ns" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x318bb216, "vlan_dev_real_dev" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xea51ab0e, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xc8c12a2a, "_dev_err" },
	{ 0x60652020, "init_net" },
	{ 0x89449a3, "kobject_add" },
	{ 0xd2510a63, "up_write" },
	{ 0x1a1d95af, "ipv6_stub" },
	{ 0x5e79360f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd674a48a, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb3e07cbe, "sk_skb_reason_drop" },
	{ 0x3965843f, "netlink_unicast" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xf0558ea8, "dev_get_by_index" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x92750d92, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x7586e043, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xaf437bba, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xff056adf, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xa6eadce8, "unregister_pernet_device" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xfec0fb86, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa9392430, "xa_clear_mark" },
	{ 0x38255517, "bpf_trace_run1" },
	{ 0xcdb54046, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x58a85f8c, "netdev_get_xmit_slave" },
	{ 0x7fbef690, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0x9a79a762, "__neigh_event_send" },
	{ 0x25cb977, "dev_printk_emit" },
	{ 0x61329fc1, "kobject_create_and_add" },
	{ 0x103bafd6, "down_read" },
	{ 0xdf79955a, "skb_trim" },
	{ 0xc3211742, "netdev_has_upper_dev_all_rcu" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x8e45edf3, "netdev_walk_all_upper_dev_rcu" },
	{ 0xa50405cf, "bpf_trace_run3" },
	{ 0x80258f35, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x10903019, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc05760fa, "neigh_destroy" },
	{ 0x552b4d0, "kobject_del" },
	{ 0x7ce37d68, "trace_event_buffer_reserve" },
	{ 0x29378d5b, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xea07e4e1, "param_ops_bool" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd0636f15, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xd8655b7d, "dev_get_by_name" },
	{ 0x7dd1b623, "netlink_ns_capable" },
	{ 0xa091738, "dst_release" },
	{ 0x8845ac86, "kobject_uevent" },
	{ 0x245d6062, "rdmacg_uncharge" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xad11ee1d, "vlan_dev_vlan_id" },
	{ 0x409fa7b7, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x8a60aeeb, "ipv6_chk_addr" },
	{ 0x70336943, "xa_set_mark" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xdd568395, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0x1dd93ddc, "netlink_has_listeners" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xca3b6eb4, "register_pernet_device" },
	{ 0xf2ab33b3, "get_net_ns_by_fd" },
	{ 0x4c56298c, "class_register" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1d1045df, "kobject_put" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "01C63119E53F962BF111D12");
MODULE_INFO(rhelversion, "10.0");
