#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x79a74d9b, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xc30275b0, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x6a6ea657, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x161d3637, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x6a95de91, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8694a711, "__do_once_done" },
	{ 0x6f878acb, "ip6_route_input_lookup" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x241c58c2, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc05258fd, "dev_mc_sync" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x7f363927, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf513ea7e, "netdev_update_features" },
	{ 0x784269f3, "consume_skb" },
	{ 0xa5aefcf9, "ip6_local_out" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1864da9a, "dev_uc_sync" },
	{ 0x458612fb, "rtnl_link_register" },
	{ 0x88edde1, "netif_inherit_tso_max" },
	{ 0x1fe7f9dc, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a8aa010, "ip_route_output_flow" },
	{ 0xeec4ca2, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x436ea0a5, "dev_uc_unsync" },
	{ 0xc56e008c, "ether_setup" },
	{ 0x22f4a2c8, "netdev_err" },
	{ 0x8a106f1b, "netdev_upper_dev_link" },
	{ 0x12d366a8, "register_pernet_subsys" },
	{ 0x42ffcfcf, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x998fbe5f, "eth_header_parse" },
	{ 0x9fb16395, "netdev_rx_handler_unregister" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x18e45040, "eth_header_cache_update" },
	{ 0x7c7f409c, "nf_register_net_hooks" },
	{ 0xdb1a747d, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x961213cf, "ip_route_input_noref" },
	{ 0x800473f, "__cond_resched" },
	{ 0x79bed923, "__dev_get_by_index" },
	{ 0xd1c58bf3, "rtnl_link_unregister" },
	{ 0x5e79360f, "skb_pull" },
	{ 0xb3e07cbe, "sk_skb_reason_drop" },
	{ 0x1974b423, "netif_stacked_transfer_operstate" },
	{ 0x13c694ec, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd087dfb8, "ns_capable" },
	{ 0x8aac520f, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4a863c55, "ethtool_op_get_link" },
	{ 0xfec0fb86, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x7e02d4f4, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfc3d9d72, "__pskb_pull_tail" },
	{ 0xe3732cbf, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x76301b8a, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xc66de142, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4fb1b0e2, "vlan_vid_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xf0097853, "call_netdevice_notifiers" },
	{ 0xa9e4c49d, "vlan_vid_del" },
	{ 0xf75d45b2, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc6c690e2, "skb_clone" },
	{ 0xa091738, "dst_release" },
	{ 0x50098f4c, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xe241ca83, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x2e375b54, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x6a6467ff, "dev_mc_unsync" },
	{ 0xbca4e0a6, "dev_change_flags" },
	{ 0xe9cdbf7, "netdev_core_stats_inc" },
	{ 0xfe6f1c90, "dev_forward_skb" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xff017188, "register_netdevice" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1CEF55F172038B8B4F880C7");
MODULE_INFO(rhelversion, "10.0");
