#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x568145f4, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x77cd5495, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x9fd86563, "file_f_owner_allocate" },
	{ 0xf5fd2145, "fasync_helper" },
	{ 0x93f54846, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x11b32a0b, "netdev_info" },
	{ 0x8264d67b, "netif_carrier_on" },
	{ 0xe2c63dba, "netif_carrier_off" },
	{ 0x106abd, "from_kgid_munged" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x27cac01e, "from_kuid_munged" },
	{ 0xff182e8, "nla_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6716825e, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xe54e2e6a, "__skb_get_hash_symmetric_net" },
	{ 0x9fa2455e, "netif_tx_stop_all_queues" },
	{ 0x9be32c71, "dev_get_tstats64" },
	{ 0x92997ed8, "_printk" },
	{ 0x458612fb, "rtnl_link_register" },
	{ 0x3218bfef, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1904cfc4, "misc_deregister" },
	{ 0xd1c58bf3, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x5feb613f, "xdp_return_frame" },
	{ 0xb3e07cbe, "sk_skb_reason_drop" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x3a0ce10e, "kill_fasync" },
	{ 0xcc67ec84, "bpf_prog_put" },
	{ 0x7f76e287, "sk_alloc" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x6f09e9d5, "sock_init_data_uid" },
	{ 0x2d8cce1, "sk_free" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x8be07e61, "skb_queue_purge_reason" },
	{ 0x3108d9aa, "napi_disable" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x36e4191a, "xdp_rxq_info_unreg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbd86845d, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc23d1839, "module_put" },
	{ 0xc96cce9c, "skb_copy_datagram_iter" },
	{ 0xdebddffb, "_copy_to_iter" },
	{ 0x5d92cb7a, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x22f4a2c8, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xa84f492f, "build_skb" },
	{ 0xba138cc7, "skb_put" },
	{ 0x2e6d4f58, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xe9cdbf7, "netdev_core_stats_inc" },
	{ 0x565dc231, "security_tun_dev_attach" },
	{ 0xdd461673, "xdp_rxq_info_is_reg" },
	{ 0x83c2be0a, "netif_set_real_num_tx_queues" },
	{ 0x605086f1, "netif_set_real_num_rx_queues" },
	{ 0xf9f6b631, "lock_sock_nested" },
	{ 0x593bde2b, "sk_attach_filter" },
	{ 0x3d9fa80a, "release_sock" },
	{ 0xe0226ef2, "__xdp_rxq_info_reg" },
	{ 0xb7ca56a, "xdp_rxq_info_reg_mem_model" },
	{ 0x963dc858, "napi_enable" },
	{ 0x662408ac, "netif_napi_add_weight" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf0332c6a, "__dev_get_by_name" },
	{ 0xd087dfb8, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x83bbcf20, "netdev_state_change" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x64488e7, "alloc_netdev_mqs" },
	{ 0x268bbfd3, "ip_tunnel_header_ops" },
	{ 0xff017188, "register_netdevice" },
	{ 0x6a48f273, "netif_tx_wake_queue" },
	{ 0xc56e008c, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x42ffcfcf, "dev_addr_mod" },
	{ 0x6f58ca0, "free_netdev" },
	{ 0xa88d9bf2, "napi_gro_receive" },
	{ 0x4ef26310, "napi_complete_done" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x784269f3, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xe86065d, "__skb_flow_dissect" },
	{ 0xaaa147f4, "skb_partial_csum_set" },
	{ 0xfc3d9d72, "__pskb_pull_tail" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xbf3ccaad, "sk_filter_trim_cap" },
	{ 0xf30990e3, "skb_clone_tx_timestamp" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x4dfc5e19, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x43ba95b1, "skb_tstamp_tx" },
	{ 0xb733cab7, "skb_copy_ubufs" },
	{ 0x5590a0f1, "___pskb_trim" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd1550e21, "seq_printf" },
	{ 0x41e685d1, "xdp_do_redirect" },
	{ 0x5e1f68ac, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x85807292, "__traceiter_xdp_exception" },
	{ 0xae6d6cbc, "xdp_return_frame_rx_napi" },
	{ 0xe00e09ff, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x2ac6d058, "napi_get_frags" },
	{ 0x6398e90c, "iov_iter_single_seg_count" },
	{ 0xd41bfacf, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xe5c4b565, "vmemmap" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xada26b97, "bpf_prog_get_type_dev" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0x92a020ad, "skb_page_frag_refill" },
	{ 0xcf9f0d6a, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x2eb18f80, "xdp_master_redirect" },
	{ 0xb757506c, "__folio_put" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xeec4ca2, "unregister_netdevice_queue" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9163c769, "net_hotdata" },
	{ 0x1390a805, "sock_recv_errqueue" },
	{ 0x94d0f164, "eth_type_trans" },
	{ 0xb9a1f158, "do_xdp_generic" },
	{ 0xf43af681, "netif_receive_skb" },
	{ 0x73e1c4f1, "__page_frag_cache_drain" },
	{ 0x669fe888, "_copy_from_iter" },
	{ 0xc4175291, "iov_iter_npages" },
	{ 0x1d0029dd, "sock_alloc_send_pskb" },
	{ 0xa6bcf7f4, "zerocopy_sg_from_iter" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xcc89cb95, "skb_copy_datagram_from_iter" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x1817f00c, "napi_schedule_prep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2c41bc32, "iov_iter_revert" },
	{ 0x92750d92, "skb_push" },
	{ 0x2f6b3169, "eth_get_headlen" },
	{ 0x12c8eb28, "napi_gro_frags" },
	{ 0x7819151c, "__napi_schedule" },
	{ 0xd706c51a, "get_net_ns" },
	{ 0xe8fff825, "open_related_ns" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xca50f5cf, "make_kgid" },
	{ 0x94c7b6f3, "sk_detach_filter" },
	{ 0x5bd47748, "make_kuid" },
	{ 0x5600c435, "init_user_ns" },
	{ 0xee330f5c, "from_kuid" },
	{ 0xec60bad5, "dev_get_mac_address" },
	{ 0x1e1aa32a, "dev_set_mac_address_user" },
	{ 0xf513ea7e, "netdev_update_features" },
	{ 0xf0097853, "call_netdevice_notifiers" },
	{ 0x7f1f3706, "__module_get" },
	{ 0xff33f154, "from_kgid" },
	{ 0x4a863c55, "ethtool_op_get_link" },
	{ 0x38af050d, "ethtool_op_get_ts_info" },
	{ 0xabd2ec28, "passthru_features_check" },
	{ 0x48bdcbfb, "eth_mac_addr" },
	{ 0x21680c45, "eth_validate_addr" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FD27A74E873A31B3D1E67AA");
MODULE_INFO(rhelversion, "10.0");
