#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x996b48b0, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x960df275, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x04f37a0d, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x712c8f00, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x0e520f1c, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xf351ef76, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x6b6d3ed2, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x6738a315, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x00e27882, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x22afcf1c, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xdc61cfe7, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x0e970ee9, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xc0c09ee7, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x4aa64482, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x7ff496bd, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xf9e762a0, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xc1fd6a09, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xfceb92b5, "iscsi_dbg_trace" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x342ce0ae, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe5c4b565, "vmemmap" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xb3ea42bd, "crypto_ahash_update" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4fef3249, "crypto_ahash_final" },
	{ 0xea81dbe8, "crypto_ahash_digest" },
	{ 0x42f411cb, "crypto_ahash_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe798236d, "jiffies" },
	{ 0xc2d4d7bc, "skb_prepare_seq_read" },
	{ 0x2368f304, "skb_seq_read" },
	{ 0x574aa1b7, "skb_abort_seq_read" },
	{ 0x51487b28, "iscsi_conn_failure" },
	{ 0x8512daa5, "iscsi_conn_setup" },
	{ 0x1be891b3, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb32662a6, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3dbd9998, "__traceiter_iscsi_dbg_tcp" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5a327c61, "iscsi_itt_to_ctask" },
	{ 0x1d306b94, "iscsi_get_task" },
	{ 0xdcff4a92, "iscsi_update_cmdsn" },
	{ 0x2d4cb98d, "iscsi_requeue_task" },
	{ 0x47a564e3, "iscsi_put_task" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x1512d859, "iscsi_prep_data_out_pdu" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x76cfade5, "iscsi_complete_pdu" },
	{ 0x3fef5913, "iscsi_verify_itt" },
	{ 0xda792ccc, "__iscsi_complete_pdu" },
	{ 0xdd568395, "param_ops_int" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "05396420508FC29934C00A8");
MODULE_INFO(rhelversion, "10.0");
