#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x7b7ec48e, "");
SYMBOL_CRC(sas_remove_host, 0xedd10843, "");
SYMBOL_CRC(sas_get_address, 0x00dd14f7, "");
SYMBOL_CRC(sas_tlr_supported, 0xb9317759, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x1b143e02, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x5a9f3ce6, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x6170fd76, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xa7015d91, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x688a2022, "");
SYMBOL_CRC(sas_phy_add, 0x60179785, "");
SYMBOL_CRC(sas_phy_free, 0x0af9727d, "");
SYMBOL_CRC(sas_phy_delete, 0xdd71f254, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xe60e3b16, "");
SYMBOL_CRC(sas_port_alloc, 0x87f509b3, "");
SYMBOL_CRC(sas_port_alloc_num, 0xbfe2fa31, "");
SYMBOL_CRC(sas_port_add, 0xe958891a, "");
SYMBOL_CRC(sas_port_free, 0x0cf1db3a, "");
SYMBOL_CRC(sas_port_delete, 0x360e8190, "");
SYMBOL_CRC(scsi_is_sas_port, 0x9a3bb0de, "");
SYMBOL_CRC(sas_port_get_phy, 0x5896b37d, "");
SYMBOL_CRC(sas_port_add_phy, 0x70cd39bb, "");
SYMBOL_CRC(sas_port_delete_phy, 0x8b908d6c, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x4b5f978f, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x0686005a, "");
SYMBOL_CRC(sas_end_device_alloc, 0xbd807627, "");
SYMBOL_CRC(sas_expander_alloc, 0x2b092a0c, "");
SYMBOL_CRC(sas_rphy_add, 0x42762b5c, "");
SYMBOL_CRC(sas_rphy_free, 0x77c9adec, "");
SYMBOL_CRC(sas_rphy_delete, 0xaf2f08d1, "");
SYMBOL_CRC(sas_rphy_unlink, 0x50e08328, "");
SYMBOL_CRC(sas_rphy_remove, 0xd01e1a74, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xf01d16fd, "");
SYMBOL_CRC(sas_attach_transport, 0x89f6d830, "");
SYMBOL_CRC(sas_release_transport, 0x372822ba, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x5ee9a8a8, "device_for_each_child" },
	{ 0xb9e8ddec, "scsi_remove_host" },
	{ 0x1811da34, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xd674a48a, "device_add" },
	{ 0x339beeda, "transport_add_device" },
	{ 0xbccef3b3, "transport_configure_device" },
	{ 0xcdb54046, "device_del" },
	{ 0xb3cf7876, "transport_destroy_device" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe97e5b20, "get_device" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x35673b40, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5c325f7, "scsi_scan_target" },
	{ 0xce51c000, "bsg_setup_queue" },
	{ 0x98de1c15, "snprintf" },
	{ 0x15fcd8ab, "bsg_remove_queue" },
	{ 0x574f8945, "transport_remove_device" },
	{ 0x62ff3bbf, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x60dc7284, "transport_class_register" },
	{ 0x51cdf821, "transport_class_unregister" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0xff909779, "attribute_container_register" },
	{ 0x4d0f9d80, "sysfs_remove_link" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x342ce0ae, "_dev_printk" },
	{ 0xe027aaff, "scsi_get_vpd_page" },
	{ 0x1fe73505, "scsi_mode_sense" },
	{ 0x2962a1b7, "attribute_container_unregister" },
	{ 0x6258a735, "scsi_is_host_device" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7fbef690, "_dev_warn" },
	{ 0xe7cc002b, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb33b307d, "dma_opt_mapping_size" },
	{ 0xa81f6ec6, "device_initialize" },
	{ 0xaf4f5344, "dev_set_name" },
	{ 0x1c09e8c9, "transport_setup_device" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7AB009310B47B7741CE38B8");
MODULE_INFO(rhelversion, "10.0");
