#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x09429651, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0xe464aca6, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x8d6438ad, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x16f11f11, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0x79d652d6, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0x7016383a, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0xf9306de1, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x713ab45c, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0xb50193dc, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x1b614882, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x923063c3, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x3349d8bd, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x1059ad2e, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x0eea1c36, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x3ec68361, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xc0ac0dce, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x9f702a5b, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x1e833858, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x7a6530d3, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xfd8ebf48, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xea51ab0e, "perf_trace_run_bpf_submit" },
	{ 0x7ce37d68, "trace_event_buffer_reserve" },
	{ 0x79388ce0, "trace_event_buffer_commit" },
	{ 0x876714ed, "__trace_trigger_soft_disabled" },
	{ 0x790ba525, "trace_raw_output_prep" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0xeef757c3, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x38255517, "bpf_trace_run1" },
	{ 0x5563e476, "bpf_trace_run2" },
	{ 0xb938c07c, "sk_error_report" },
	{ 0x2ee39da9, "ip_icmp_error" },
	{ 0x77a55e37, "ipv6_icmp_error" },
	{ 0x56f095a7, "sock_create_kern" },
	{ 0xaa2d266e, "kernel_bind" },
	{ 0xe8cfb51d, "kernel_connect" },
	{ 0x492842b, "udp_sock_create6" },
	{ 0xbeea09bf, "kernel_sock_shutdown" },
	{ 0x93c543e4, "sock_release" },
	{ 0x42025c49, "udp_sock_create4" },
	{ 0xca3b6eb4, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xa6eadce8, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0xc5c47cc, "skb_queue_tail" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2d8cce1, "sk_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0xe798236d, "jiffies" },
	{ 0xb3e07cbe, "sk_skb_reason_drop" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfc3d9d72, "__pskb_pull_tail" },
	{ 0xd41bfacf, "pskb_expand_head" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x550b46e, "udp_set_csum" },
	{ 0x69793dba, "ip_queue_xmit" },
	{ 0x3e2fe105, "udp6_set_csum" },
	{ 0x32ee32c2, "inet6_csk_xmit" },
	{ 0xa091738, "dst_release" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7502df95, "skb_dequeue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x37a0cba, "kfree" },
	{ 0xaff2a07f, "sockfd_lookup" },
	{ 0xf9f6b631, "lock_sock_nested" },
	{ 0x3d9fa80a, "release_sock" },
	{ 0x593d2a27, "fput" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x4027255c, "setup_udp_tunnel_sock" },
	{ 0x7586e043, "trace_event_reg" },
	{ 0xfb5f783, "trace_event_raw_init" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "BF93370526150F9F77CB39F");
MODULE_INFO(rhelversion, "10.0");
