#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ef4c954, "virtio_transport_purge_skbs" },
	{ 0xbb5c1ca0, "virtio_transport_notify_recv_init" },
	{ 0x3fe10922, "virtio_transport_release" },
	{ 0xe5c4b565, "vmemmap" },
	{ 0x8b96314a, "virtqueue_enable_cb" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6d9ff85d, "virtio_transport_consume_skb_sent" },
	{ 0xba138cc7, "skb_put" },
	{ 0x18c7f0d7, "vsock_for_each_connected_socket" },
	{ 0x8624d797, "virtqueue_detach_unused_buf" },
	{ 0x8d177714, "virtio_transport_connect" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x842861b8, "virtio_transport_notify_set_rcvlowat" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xff3ba537, "virtio_transport_stream_has_data" },
	{ 0xa3dd945a, "virtio_transport_stream_rcvhiwat" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xbfb2a5b0, "virtio_transport_dgram_bind" },
	{ 0xb938c07c, "sk_error_report" },
	{ 0x145e049e, "virtio_transport_notify_recv_pre_block" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x6533b8b1, "virtio_transport_dgram_enqueue" },
	{ 0x3a0a8ede, "virtio_transport_shutdown" },
	{ 0x52a270e8, "virtio_transport_notify_send_post_enqueue" },
	{ 0x6b2d1462, "virtio_transport_dgram_dequeue" },
	{ 0x74875c57, "unregister_virtio_driver" },
	{ 0xf222e646, "__alloc_skb" },
	{ 0x3a81e69, "virtio_transport_stream_allow" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb16125d6, "virtqueue_get_vring_size" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2806579c, "virtio_transport_notify_send_init" },
	{ 0xb3e07cbe, "sk_skb_reason_drop" },
	{ 0xd001707c, "virtio_transport_notify_send_pre_enqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9fcc0968, "virtio_transport_seqpacket_dequeue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x6c7d2b5e, "virtio_transport_seqpacket_enqueue" },
	{ 0xb9e5ffe3, "virtio_transport_seqpacket_has_data" },
	{ 0x6ae8c049, "virtio_transport_notify_recv_pre_dequeue" },
	{ 0xb27bb87, "virtio_transport_stream_enqueue" },
	{ 0x1001f7d0, "virtqueue_disable_cb" },
	{ 0x221a508f, "virtio_transport_stream_dequeue" },
	{ 0x9e91737, "vsock_core_unregister" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x6bc1921f, "vsock_core_register" },
	{ 0x13139329, "virtqueue_add_sgs" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x5886878d, "virtio_reset_device" },
	{ 0xc7a9c625, "virtio_transport_notify_poll_out" },
	{ 0xd8bc28d3, "virtio_transport_notify_recv_post_dequeue" },
	{ 0xbabd30f5, "virtio_transport_dgram_allow" },
	{ 0xe7fe12d5, "__register_virtio_driver" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x326caf3f, "virtqueue_get_buf" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6910e319, "virtio_transport_deliver_tap_pkt" },
	{ 0xbcd19dd, "virtio_transport_read_skb" },
	{ 0x879fad2d, "virtqueue_kick" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdfa50630, "virtio_transport_stream_is_active" },
	{ 0x8d95e411, "virtqueue_add_inbuf" },
	{ 0x1890dc3a, "virtio_transport_do_socket_init" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0x977f67c7, "virtio_transport_notify_poll_in" },
	{ 0xa835f774, "virtio_check_driver_offered_feature" },
	{ 0x9235621f, "virtio_transport_unsent_bytes" },
	{ 0x6f1c6e7a, "virtio_transport_stream_has_space" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x6b0c06ab, "virtio_transport_notify_send_pre_block" },
	{ 0x528751f4, "virtio_transport_notify_buffer_size" },
	{ 0x24029b78, "virtio_transport_destruct" },
	{ 0xfe192917, "virtio_transport_recv_pkt" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "vmw_vsock_virtio_transport_common,vsock");

MODULE_ALIAS("virtio:d00000013v*");

MODULE_INFO(srcversion, "2FB4091555A5734CF8AB3B8");
MODULE_INFO(rhelversion, "10.0");
